xcb_dri2_get_msc(3)

NAME
xcb_dri2_get_msc -

SYNOPSIS
#include <xcb/dri2.h>

  Request function

xcb_dri2_get_msc_cookie_t xcb_dri2_get_msc(xcb_connection_t *conn, xcb_drawable_t drawable);

  Reply datastructure

typedef struct xcb_dri2_get_msc_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t ust_hi;
    uint32_t ust_lo;
    uint32_t msc_hi;
    uint32_t msc_lo;
    uint32_t sbc_hi;
    uint32_t sbc_lo;
} xcb_dri2_get_msc_reply_t;

  Reply function

xcb_dri2_get_msc_reply_t *xcb_dri2_get_msc_reply(xcb_connection_t *conn, xcb_dri2_get_msc_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_DRI2_GET_MSC. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

ust_hi
    TODO: NOT YET DOCUMENTED.

ust_lo
    TODO: NOT YET DOCUMENTED.

msc_hi
    TODO: NOT YET DOCUMENTED.

msc_lo
    TODO: NOT YET DOCUMENTED.

sbc_hi
    TODO: NOT YET DOCUMENTED.

sbc_lo
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_dri2_get_msc_cookie_t. Errors have to be handled when calling the reply function xcb_dri2_get_msc_reply. If you want to handle errors in the event loop instead, use xcb_dri2_get_msc_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dri2.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.